* INTERNAL STRUCTURE FOR RPG
*
* COLUMN ARRAY
CLTITL1  EQU 0	 15 C	 FIRST TITLE LINE
CLTITL2  EQU 15  15 C	 SECOND TITLE LINE
CLFORMAT EQU 30  18 C	 PRINT FORMAT
CLSCALE  EQU 48   4 D	 SCALE FACTOR
CLOP1	 EQU 52   2 W	 INDEX IN SUM & TOTAL ARRAYS
CLOP2	 EQU 54   2 W	   "
CLOP	 EQU 56   1 C	 MATH OPERATION
CLFLAG	 EQU 57   1 H	 OPTION FLAGS
CL#SPLIT EQU X'80'     SPLIT TOTALS
CL#DB	 EQU X'40'     DEBITS ONLY
CL#CR	 EQU X'20'     CREDITS ONLY
CLLEN	 EQU 58
*
* SUMMARY SPECIFICATION ARRAY
SMBEG	 EQU 0	  4 D	 BEGINNING PERIOD
SMEND	 EQU 4	  4 D	 ENDING PERIOD
SMCAT	 EQU 8	  2 W	 SUMMARY TYPE
SMDEPT	 EQU 10   2 W	 DEPARTMENT, 0 = ALL
SMBASIS  EQU 12   1 C	 BASIS, BLANK = DEFAULT
SMLEN	 EQU 14
*
* LEVEL TABLE
LVSUB	 EQU 0	  2 W	 ADDRESS OF FORMAT ROUTINE FOR LEVEL
LVPARM	 EQU 2	  2 W	 ADDRESS OF INITIAL PARM FOR FORMAT ROUTINE
LVKPOS	 EQU 4	  2 W	 OFFSET IN SUMMARY RECORD OF KEY FOR LEVEL
LVKLEN	 EQU 6	  2 W	 LENGTH OF KEY FOR LEVEL
LVLEN	 EQU 8		 SIZE OF LEVEL TABLE ENTRY
*
* GLOBAL VALUES IN RPGCOM
CMNSUM	 EQU 0	  2 W	 NUMBER OF SUMS
CMNCOL	 EQU 2	  2 W	 NUMBER OF PRINT COLUMNS
CMNLEV	 EQU 4	  2 W	 NUMBER OF DETAIL LEVELS
CMSUM@	 EQU 6	  2 W	 POINTER TO SUM DEFINITION ARRAY
CMCOL@	 EQU 8	  2 W	 POINTER TO COLUMN DEFINITION ARRAY
CMTOT@	 EQU 10   2 W	 POINTER TO CURRENT TOTALS
CMAMT@	 EQU 12   2 W	 POINTER TO CURRENT ROW
CMDEPT	 EQU 14   2 W	 REPORT DEPT SCOPE
CMCAT	 EQU 16   2 W	 REPORT CATEGORY SCOPE
CMPROJ	 EQU 18   6 C	 REPORT PROJECT SCOPE
CMTEN	 EQU 20   2 C	 REPORT TENANT SCOPE	(OPTIONAL)
CMDATE	 EQU 26   4 D	 AS OF DATE
CMMXLEN  EQU 30   2 W	 ROW DESC LENGTH SHORT(22) LONG(42)
CMPGBK	 EQU 32   2 W	 PAGE BREAK LEVEL
CMBASIS  EQU 34   1 C	 CURRENT BASIS (SET IN PRTACCT)
CMFLAG	 EQU 35   1 H	 GLOBAL FLAGS
CM#PRTZ  EQU X'80'     PRINT ZEROES
CM#DBCR  EQU X'40'     PRINT SIGN ( 1 = DEBITS POSITIVE )
CM#MATH  EQU X'20'     MATH SIGN ( NOT REQUIRED AT PRESENT )
CMNCOL2  EQU 36   2 W	 NUMBER OF PRINT COLUMNS TO BE PRINTED
CMLEN	 EQU 38
